Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.DockMode=function(){
throw Error.notImplemented();
};
Telerik.Web.UI.DockMode.prototype={Floating:1,Docked:2,Default:3};
Telerik.Web.UI.DockMode.registerEnum("Telerik.Web.UI.DockMode");
Telerik.Web.UI.RadDock=function(_1){
Telerik.Web.UI.RadDock.initializeBase(this,[_1]);
this._initialized=false;
this._enableDrag=true;
this._top=0;
this._left=0;
this._autoPostBack=false;
this._dockZoneID=null;
this._title=null;
this._commands=null;
this._closed=false;
this._collapsed=false;
this._pinned=false;
this._index=0;
this._forbiddenZones=[];
this._layoutID=null;
this._handle=null;
this._dockMode=Telerik.Web.UI.DockMode.Default;
this._resizable=false;
this._width="300px";
this._height=null;
this._expandedHeight=0;
this._uniqueID=null;
this._uniqueName=null;
this._grip=null;
this._titleBar=null;
this._commandsContainer=null;
this._contentContainer=null;
this._handle=null;
this._form=null;
this._skin="Default";
this.set_handle=this.set_handle;
this._isCustomHandle=false;
};
Telerik.Web.UI.RadDock.DragDataType="RadDock";
Telerik.Web.UI.RadDock.prototype={_fixIeHeight:function(_2,_3){
if("CSS1Compat"==document.compatMode){
var _4=(_2.offsetHeight-parseInt(_3));
if(_4>0){
var _5=(parseInt(_2.style.height)-_4);
if(_5>0){
_2.style.height=_5+"px";
}
}
}
},_getTopElement:function(){
var _6=null;
var _7=this.get_titleBar();
if(_7){
_6=_7;
}else{
if(this._grip){
_6=this._grip;
}
}
return _6;
},_setResizeLimit:function(){
var _8=0;
var _9=this._getTopElement();
var _a=0;
if(_9){
var _b=$telerik.getBounds(_9);
_8+=_b.height;
}
var _c=this._calculateResizeHandlesSize();
var _d=this.get_element();
this._minHeight=_8+_c.horizontalHeight;
_d.style.minHeight=this._minHeight+"px";
this.get_innerDockElement().style.minHeight=_8+"px";
var _e=this.get_commandsContainer();
var _f=1+_c.verticalWidth;
var _10=_e?$telerik.getBounds(_e).width:0;
var _11=this.get_titleElement();
var _12=_11?$telerik.getMarginBox(_11).horizontal:0;
_f+=_10+_12;
this._minWidth=_f;
_d.style.minWidth=_f+"px";
},_calculateResizeHandlesSize:function(){
if(!this._tableElement){
return null;
}
var _13=this._tableElement.rows;
var _14={n:$telerik.getBounds(_13[0].cells[1]),w:$telerik.getBounds(_13[1].cells[0]),e:$telerik.getBounds(_13[1].cells[2]),s:$telerik.getBounds(_13[2].cells[1])};
var _15={horizontalHeight:_14.n.height+_14.s.height,verticalWidth:_14.w.width+_14.e.width};
return _15;
},_collapseWrapper:function(){
var _16=this._tableElement;
if(_16){
var _17=this.get_contentContainer();
var _18=$telerik.getBounds(_17);
var _19=parseInt(_16.style.height)-_18.height;
_16.style.height=(_19>0?_19:0)+"px";
}
},_removeWrapper:function(){
var _1a=this._tableElement;
if(_1a){
var _1b=this._calculateResizeHandlesSize();
var _1c=this.get_element();
var _1d=this.get_innerDockElement();
_1c.removeChild(_1a);
_1a=null;
_1c.appendChild(_1d);
_1d.style.width="100%";
_1d.style.height="100%";
this._fixTableLayoutSize(this._width,this._height);
}
},_updateSizeValues:function(){
var _1e=this._getBounds();
this._width=_1e.width;
this._height=_1e.height;
},_setWidthHtmlEl:function(_1f,_20){
if(!_20){
_20=this.get_element();
}
if(_1f.toString().indexOf("%")>-1){
_20.style.width=parseInt(_1f)+"%";
}else{
_20.style.width=parseInt(_1f)+"px";
}
},_setHeightHtmlEl:function(_21,_22){
if(!_22){
_22=this.get_element();
}
if(_21.toString().indexOf("%")>-1){
_22.style.height=parseInt(_21)+"%";
}else{
_22.style.height=parseInt(_21)+"px";
}
},_moveElements:function(_23,_24){
while(_23.childNodes&&_23.childNodes.length>0){
var _25=_23.childNodes[0];
_23.removeChild(_25);
_24.appendChild(_25);
}
},_configureHandles:function(_26){
if(!this._tableElement){
return;
}
var _27=["e","s","se"];
var _28=this._resizeExtender._resizeHandles;
for(var i=0;i<_27.length;i++){
var _2a=_27[i];
var _2b=_28[_2a];
if(_2b){
_2b.style.cursor=_26?_2a+"-resize":"";
}
}
},_getFullSkinName:function(){
return " raddock RadDock_"+this._skin+" rdVariableHeight";
},_createResizeWrapper:function(){
var _2c=document.createElement("TABLE");
_2c.id=this.get_id()+"Table";
_2c.className="rdWrapTable";
_2c.width="100%";
_2c.height="100%";
_2c.cellSpacing=0;
_2c.cellPadding=0;
this._tableElement=_2c;
var _2d=["rdTopLeft","rdTopCenter","rdTopRight","rdLeftMiddle","rdCenter","rdRightMiddle","rdBottomLeft","rdBottomCenter","rdBottomRight"];
var _2e=0;
for(var i=0;i<3;i++){
var row=_2c.insertRow(-1);
for(var j=0;j<3;j++){
var _32=row.insertCell(-1);
_32.innerHTML="&nbsp;";
_32.className=_2d[_2e];
_2e++;
}
}
return _2c;
},_fixEmWidth:function(){
if(!this.get_titleBar()){
return;
}
var _33=$telerik.getBounds(this.get_innerDockElement()).width;
var _34=this._commandsContainerWidth;
var _35=this.get_titleElement();
var _36=_33-_34-$telerik.getMarginBox(_35).horizontal;
var _37=_36>0?_36:0;
this._setWidthHtmlEl(_37,_35);
},_makeResizable:function(){
if(this._resizable){
var _38=this.get_element();
var _39=this._createResizeWrapper();
var _3a=_39.rows[1].cells[1];
_3a.innerHTML="";
this._moveElements(_38,_3a);
_38.appendChild(_39);
if(this._resizeExtender){
this._resizeExtender.dispose();
}
var _3b=this._tableElement.rows;
var _3c={e:_3b[1].cells[2],s:_3b[2].cells[1],se:_3b[2].cells[2]};
this._resizeExtender=new Telerik.Web.UI.ResizeExtender(this,this.get_element(),_3c,this._tableElement);
this._setResizeLimit();
this._setSize();
if(this._collapsed||this._dockZoneID){
this._configureHandles(false);
}
}else{
this._removeWrapper();
}
},onResizeStart:function(){
if(this._collapsed||this._dockZoneID){
return;
}
this.get_contentContainer().style.display="none";
this.raise_resizeStart(new Sys.EventArgs());
},onResizing:function(e){
if(this._collapsed||this._dockZoneID){
return false;
}
},onResize:function(e){
var _3f=this.get_innerDockElement();
_3f.style.display="none";
var _40=$telerik.getBounds(_3f.parentNode).width;
_3f.style.display="";
this._setWidthHtmlEl(_40,_3f);
this._fixEmWidth();
},onResizeEnd:function(){
if(this._collapsed||this._dockZoneID){
return;
}
var _41=this._getBounds();
var _42=_41.width;
var _43=_41.height;
if(_42<this._minWidth){
_42=this._minWidth;
}
if(_43<this._minHeight){
_43=this._minHeight;
}
this._setSize(_42,_43);
this._updateSizeValues();
this.updateClientState();
this.raise_resizeEnd(new Sys.EventArgs());
},getCommand:function(_44){
return this._commands?this._commands[_44]:null;
},get_handle:function(){
return this._handle;
},set_handle:function(_45){
this._isCustomHandle=true;
this._setHandle(_45);
},_setHandle:function(_46){
this._disposeDrag();
this._handle=_46;
this._initializeDrag();
},_repaintHelper:function(){
if(this.get_closed()){
return;
}
this._setContentContainerHeight();
this._setCommandsContainerWidth();
},getInvisibleParent:function(_47){
while(_47!=document){
if("none"==$telerik.getCurrentStyle(_47,"display","")){
return _47;
}
_47=_47.parentNode;
}
return null;
},initialize:function(){
Telerik.Web.UI.RadDock.callBaseMethod(this,"initialize");
this._initializeHtmlElementVariables();
this._initializeCommands();
this._updateToggleCommandsState();
this._setPinUnpinVisibility();
this._setHandle(this._titleBar||this._grip);
var _48=this.get_commandsContainer();
this._commandsContainerWidth=_48?$telerik.getBounds(_48).width:0;
var _49=this.get_element();
var _4a=_49.parentNode;
var _4b=this.getInvisibleParent(this.get_element());
isHidden=(_4b!=null);
if(isHidden){
var _4c={position:_49.style.position,top:_49.style.top,left:_49.style.left};
_49.parentNode.removeChild(_49);
_49.style.position="absolute";
_49.style.top="-5000px";
_49.style.left="-5000px";
document.body.appendChild(_49);
}
this._makeResizable();
this._setContentContainerHeight();
if(isHidden){
_49.style.position=_4c.position;
_49.style.top=_4c.top;
_49.style.left=_4c.left;
_49.parentNode.removeChild(_49);
_4a.appendChild(_49);
}
this._intiailize=true;
this.updateClientState();
this.raise_initialize();
},dispose:function(){
this.get_element().RadShow=null;
this._disposeDrag();
Telerik.Web.UI.RadDock.callBaseMethod(this,"dispose");
},undock:function(){
var _4d=this.get_element();
this._form.appendChild(_4d);
var _4e=this._getLocation(_4d);
this.set_left(_4e.x);
this.set_top(_4e.y);
var _4f=$find(this.get_dockZoneID());
if(_4f){
this.set_dockZoneID("");
_4f._resetDockIndices();
this._unfitWidth();
}
this._setPinUnpinVisibility();
this.updateClientState();
},_fitWidth:function(){
this.get_element().style.width="100%";
if(this._tableElement){
this.get_innerDockElement().style.width="100%";
this._tableElement.style.width="100%";
this._fixEmWidth();
}
},_unfitWidth:function(){
this.set_width(this.get_width());
if(this._tableElement){
this._fixEmWidth();
}
},_initializeHtmlElementVariables:function(){
this._grip=$get(this.get_id()+"_G");
this._titleBar=$get(this.get_id()+"_T");
if(this._titleBar){
var _50=this._titleBar.lastChild;
while(_50){
if(_50.className=="rdCommands"){
this._commandsContainer=_50;
break;
}
_50=_50.previousSibling;
}
}
var _51=this.get_element().parentNode;
while(_51){
if(_51.tagName.toLowerCase()==="form"){
this._form=_51;
break;
}
_51=_51.parentNode;
}
},_initializeCommands:function(){
if(!this._commandsContainer){
return;
}
var _52=this._commandsContainer.getElementsByTagName("a");
var _53=this._commands;
if(_53){
this._commands={};
for(var i=0;i<_53.length;i++){
var _55=_53[i];
var _56=eval(_55.clientTypeName);
if(_56==Telerik.Web.UI.DockCommand||_56.inheritsFrom(Telerik.Web.UI.DockCommand)){
_55.radDock=this;
var _57=null;
if(_55.command){
_57={"command":eval(_55.command)};
delete _55.command;
}
var cmd=$create(_56,_55,_57,null,_52[i]);
this._commands[cmd.get_name()]=cmd;
}else{
throw Error.invalidOperation(_55.clientTypeName+" does not inherit from Telerik.Web.UI.DockCommand.");
}
}
}
},_updateToggleCommandsState:function(){
var _59=this.getCommand("ExpandCollapse");
if(_59){
_59.set_state(this.get_collapsed()?2:1);
}
var _5a=this.getCommand("PinUnpin");
if(_5a){
_5a.set_state(this.get_pinned()?2:1);
}
},_setPinUnpinVisibility:function(){
var _5b=this.getCommand("PinUnpin");
if(_5b){
_5b.get_element().style.display=this.get_dockZoneID()?"none":"inline";
}
this._setCommandsContainerWidth();
},_setCommandsContainerWidth:function(){
if(!this._commandsContainer){
return;
}
var _5c=this._commandsContainer.getElementsByTagName("a");
var _5d=0;
for(var i=0;i<_5c.length;i++){
var _5f=this._getBoundsWithBorderAndMargin(_5c[i]);
_5d+=_5f.width;
}
this._commandsContainer.style.width=_5d+"px";
},_getBoundsWithBorderAndMargin:function(_60){
if(!_60){
_60=this.get_element();
}
var _61=this._getBounds(_60);
var _62=this._getMarginBox(_60);
var _63=this._getBorderBox(_60);
_61.width+=(_62.horizontal+_63.horizontal);
_61.height+=(_62.vertical+_63.vertical);
return _61;
},_getBounds:function(_64){
if(!_64){
_64=this.get_element();
}
return $telerik.getBounds(_64);
},_getMarginBox:function(_65){
if(!_65){
_65=this.get_element();
}
return $telerik.getMarginBox(_65);
},_getBorderBox:function(_66){
if(!_66){
_66=this.get_element();
}
return $telerik.getBorderBox(_66);
},_resetPosition:function(){
var _67=this.get_element();
_67.style.top="";
_67.style.left="";
_67.originalPosition="relative";
_67.style.position="relative";
_67.style.zIndex=this.originalZIndex;
},_setContentContainerHeight:function(){
if(!Sys.UI.DomElement.containsCssClass(this.get_element(),"rdVariableHeight")||this._resizable){
var _68=this._getBounds();
var _69=this.get_handle();
if(_69&&!this._isCustomHandle){
var _6a=this._getBoundsWithBorderAndMargin(_69);
_68.height-=_6a.height;
}
var _6b=this._tableElement?this._calculateResizeHandlesSize().horizontalHeight:2;
var _6c=_68.height-_6b;
this.get_contentContainer().style.height=(_6c<0?0:_6c)+"px";
}else{
this.get_contentContainer().style.height="";
}
},_initializeDrag:function(){
this._disposeDrag();
if(this._handle&&this.get_enableDrag()&&!this.get_pinned()){
$addHandlers(this._handle,{"mousedown":this._mouseDownHandler},this);
Sys.UI.DomElement.addCssClass(this._handle,"rdDraggable");
}
},_disposeDrag:function(){
if(this._handle){
$clearHandlers(this._handle);
Sys.UI.DomElement.removeCssClass(this._handle,"rdDraggable");
}
},_mouseDownHandler:function(e){
window._event=e;
var _6e=(0>Array.indexOf(["input","button","select","textarea","label","a"],e.target.tagName.toLowerCase()));
if(_6e&&this.get_enableDrag()&&!this.get_pinned()){
e.preventDefault();
this._startDragDrop();
}
},_startDragDrop:function(){
var _6f=this.get_element();
this.originalZIndex=_6f.style.zIndex;
var _70=this._getBounds(_6f);
var _71=this._getBorderBox(_6f);
_70.width-=_71.horizontal;
_70.height-=_71.vertical;
_6f.style.width=_70.width+"px";
_6f.style.zIndex="9999999";
var _72=$telerik.getLocation(_6f);
this._form.appendChild(_6f);
var _73=$find(this.get_dockZoneID());
if(_73){
_73._showPlaceholder(this);
}
this._setLocation(_72);
Telerik.Web.DragDropManager.startDragDrop(this,_6f,null);
},_restorePosition:function(){
var _74=$find(this.get_dockZoneID());
if(_74){
_74.dock(this,this.get_index());
}else{
this.undock();
}
},_getLocation:function(_75){
if(!_75){
_75=this.get_element();
}
return $telerik.getLocation(_75);
},_setLocation:function(_76){
$telerik.setLocation(this.get_element(),_76);
},_setSize:function(_77,_78){
var _79=this._getBounds();
if(!_77){
_77=_79.width;
}
if(!_78){
_78=_79.height;
}
this._setWidthHtmlEl(_77);
this._setHeightHtmlEl(_78);
if(this._tableElement){
this._fixTableLayoutSize(_77,_78);
}
},_fixTableLayoutSize:function(_7a,_7b){
var _7c=this.get_contentContainer();
var _7d=this._getTopElement();
var _7e=0;
var _7f=0;
if(_7d){
_7e=$telerik.getBounds(_7d);
_7f=$telerik.getBorderBox(_7d).vertical;
}
var _80=this.get_innerDockElement();
_80.style.display="none";
var _81=this._tableElement;
if(_81){
this._setHeightHtmlEl(_7b,_81);
this._fixIeHeight(_81,_7b);
}
var _82=$telerik.getBounds(_80.parentNode);
this._setWidthHtmlEl(_82.width,_80);
var _83=_82.height-_7e.height-_7f;
_83=_83>0?_83:0;
this._setHeightHtmlEl(_83,_7c);
if(_83>0){
_7c.style.display="";
}
_80.style.display="";
this._fixEmWidth();
if(this._collapsed){
_80.style.height="auto";
}
},get_contentContainer:function(){
if(!this._contentContainer){
this._contentContainer=$get(this.get_id()+"_C");
}
return this._contentContainer;
},get_titleBar:function(){
if(!this._titleBar){
this._titleBar=$get(this.get_id()+"_T");
}
return this._titleBar;
},get_commandsContainer:function(){
if(!this._commandsContainer){
var _84=this.get_titleBar();
if(_84){
this._commandsContainer=_84.getElementsByTagName("span")[0];
}else{
this._commandsContainer=null;
}
}
return this._commandsContainer;
},get_titleElement:function(){
if(!this._titleElement){
var _85=this.get_titleBar();
this._titleElement=_85?_85.getElementsByTagName("em")[0]:null;
}
return this._titleElement;
},get_innerDockElement:function(){
var _86=this._tableElement;
if(_86){
if(_86.rows.length>1){
var _87=_86.rows[1].cells[1];
if(_87){
return _87.getElementsByTagName("div")[0];
}
}
}
return this.get_element().getElementsByTagName("div")[0];
},saveClientState:function(){
var _88={Top:this.get_top(),Left:this.get_left(),DockZoneID:this.get_dockZoneID(),Collapsed:this.get_collapsed(),Pinned:this.get_pinned(),Resizable:this.get_resizable(),Closed:this.get_closed(),Width:this.get_width(),Height:this.get_height(),ExpandedHeight:this._expandedHeight,Index:this.get_index()};
return Sys.Serialization.JavaScriptSerializer.serialize(_88);
},conditionalPostback:function(_89){
if(this.get_autoPostBack()){
this.doPostBack(_89);
}
},doPostBack:function(_8a){
__doPostBack(this.get_uniqueID(),_8a);
},get_dragDataType:function(){
return Telerik.Web.UI.RadDock.DragDataType;
},getDragData:function(_8b){
return this;
},get_dragMode:function(){
return Telerik.Web.DragMode.Move;
},onDragStart:function(){
this.get_contentContainer().style.overflow="hidden";
this.raise_dragStart(new Sys.EventArgs());
},onDrag:function(){
this.raise_drag(new Sys.EventArgs());
},onDragEnd:function(_8c){
this.get_contentContainer().style.overflow="auto";
this.raise_dragEnd(new Sys.EventArgs());
if(_8c){
this._restorePosition();
}
},add_command:function(_8d){
this.get_events().addHandler("command",_8d);
},remove_command:function(_8e){
this.get_events().removeHandler("command",_8e);
},raise_command:function(_8f){
this.raiseEvent("command",_8f);
},add_dragStart:function(_90){
this.get_events().addHandler("dragStart",_90);
},remove_dragStart:function(_91){
this.get_events().removeHandler("dragStart",_91);
},raise_dragStart:function(_92){
this.raiseEvent("dragStart",_92);
},add_drag:function(_93){
this.get_events().addHandler("drag",_93);
},remove_drag:function(_94){
this.get_events().removeHandler("drag",_94);
},raise_drag:function(_95){
this.raiseEvent("drag",_95);
},add_dragEnd:function(_96){
this.get_events().addHandler("dragEnd",_96);
},remove_dragEnd:function(_97){
this.get_events().removeHandler("dragEnd",_97);
},raise_dragEnd:function(_98){
this.raiseEvent("dragEnd",_98);
},add_dockPositionChanged:function(_99){
this.get_events().addHandler("dockPositionChanged",_99);
},remove_dockPositionChanged:function(_9a){
this.get_events().removeHandler("dockPositionChanged",_9a);
},raise_dockPositionChanged:function(_9b){
this.raiseEvent("dockPositionChanged",_9b);
this.conditionalPostback("dockPositionChanged");
},add_dockPositionChanging:function(_9c){
this.get_events().addHandler("dockPositionChanging",_9c);
},remove_dockPositionChanging:function(_9d){
this.get_events().removeHandler("dockPositionChanging",_9d);
},raise_dockPositionChanging:function(_9e){
this.raiseEvent("dockPositionChanging",_9e);
},add_initialize:function(_9f){
this.get_events().addHandler("initialize",_9f);
},remove_initialize:function(_a0){
this.get_events().removeHandler("initialize",_a0);
},raise_initialize:function(_a1){
this.raiseEvent("initialize",_a1);
},add_resizeStart:function(_a2){
this.get_events().addHandler("resizeStart",_a2);
},remove_resizeStart:function(_a3){
this.get_events().removeHandler("resizeStart",_a3);
},raise_resizeStart:function(_a4){
this.raiseEvent("resizeStart",_a4);
},add_resizeEnd:function(_a5){
this.get_events().addHandler("resizeEnd",_a5);
},remove_resizeEnd:function(_a6){
this.get_events().removeHandler("resizeEnd",_a6);
},raise_resizeEnd:function(_a7){
this.raiseEvent("resizeEnd",_a7);
},get_top:function(){
return this._top;
},set_top:function(_a8){
this._top=_a8;
},get_left:function(){
return this._left;
},set_left:function(_a9){
this._left=_a9;
},get_closed:function(){
return this._closed;
},set_closed:function(_aa){
this._closed=_aa;
var _ab=this.get_element();
_ab.style.display=_aa?"none":"block";
if(!_aa){
this._repaintHelper();
$telerik.repaintChildren(this);
}
},get_collapsed:function(){
return this._collapsed;
},set_collapsed:function(_ac){
this._collapsed=_ac;
this.get_element().style.height=_ac?"auto":this.get_height();
if(this._collapsed){
this._collapseWrapper();
if(this._height){
this._expandedHeight=parseInt(this._height);
}
this._configureHandles(false);
this.addCssClass("rdCollapsed");
}else{
this.removeCssClass("rdCollapsed");
if(this._resizable){
if(this._expandedHeight==0){
this.get_element().style.height="auto";
this._tableElement.style.height="100%";
this.get_contentContainer().style.height="auto";
}
if(!this._dockZoneID){
this._configureHandles(true);
}
this._setSize(null,this._expandedHeight);
this._height=this._expandedHeight;
}
if(this.get_height()==null){
this.addCssClass("rdVariableHeight");
}
}
this._setContentContainerHeight();
if(!this._collapsed){
$telerik.repaintChildren(this);
}
var _ad=this.getCommand("ExpandCollapse");
if(_ad){
_ad.set_state(_ac?2:1);
}
if(this._resizable){
this._height=$telerik.getBounds(this.get_element()).height+"px";
this.updateClientState();
}
},get_autoPostBack:function(){
return this._autoPostBack;
},set_autoPostBack:function(_ae){
this._autoPostBack=_ae;
},get_commands:function(){
return this._commands;
},set_commands:function(_af){
this._commands=_af;
},get_dockMode:function(){
return this._dockMode;
},set_dockMode:function(_b0){
this._dockMode=_b0;
},get_dockZoneID:function(){
return this._dockZoneID;
},set_dockZoneID:function(_b1){
if(_b1==""){
if(!this._collapsed){
this._configureHandles(true);
}
}else{
this._configureHandles(false);
}
this._dockZoneID=_b1;
},get_forbiddenZones:function(){
return this._forbiddenZones;
},set_forbiddenZones:function(_b2){
this._forbiddenZones=_b2;
},get_height:function(){
return this._height;
},set_height:function(_b3){
this._height=_b3;
if(this._intiailize){
this._setSize(null,_b3);
}
},get_index:function(){
return this._index;
},set_index:function(_b4){
this._index=_b4;
},get_layoutID:function(){
return this._layoutID;
},set_layoutID:function(_b5){
this._layoutID=_b5;
},get_enableDrag:function(){
return this._enableDrag;
},set_enableDrag:function(_b6){
this._enableDrag=_b6;
this._initializeDrag();
},get_pinned:function(){
return this._pinned;
},set_pinned:function(_b7){
this._pinned=_b7;
var ddm=Telerik.Web.DragDropManager._getInstance();
var _b9=this.get_element();
var _ba=this._getLocation(_b9);
if(_b7){
_ba=ddm.subtractPoints(_ba,ddm.getScrollOffset(_b9,true));
this.get_element().style.position="fixed";
this.set_enableDrag(false);
}else{
_ba=ddm.addPoints(_ba,ddm.getScrollOffset(_b9,true));
this._setLocation(_ba);
this.set_enableDrag(true);
}
var _bb=this.getCommand("PinUnpin");
if(_bb){
_bb.set_state(_b7?2:1);
}
},get_title:function(){
return this._title;
},set_title:function(_bc){
this._title=_bc;
},get_uniqueID:function(){
return this._uniqueID;
},set_uniqueID:function(_bd){
this._uniqueID=_bd;
},get_uniqueName:function(){
return this._uniqueName;
},set_uniqueName:function(_be){
this._uniqueName=_be;
},get_width:function(){
return this._width;
},set_width:function(_bf){
this._width=_bf;
if(this._initialized&&!this._dockZoneId){
this._setSize(_bf,null);
}
},get_skin:function(){
return this._skin;
},set_skin:function(_c0){
if(_c0&&this._skin!=_c0){
this._skin=_c0;
}
},get_resizable:function(){
return this._resizable;
},set_resizable:function(_c1){
this._resizable=_c1;
if(_c1){
this._makeResizable();
}else{
this._removeWrapper();
}
}};
Telerik.Web.UI.RadDock.registerClass("Telerik.Web.UI.RadDock",Telerik.Web.UI.RadWebControl,Telerik.Web.IDragSource);
Telerik.Web.UI.RadDock.repaint=function(){
me=this;
window.setTimeout(function(){
me._repaintHelper();
},10);
};
Telerik.Web.UI.DockCommand=function(_c2){
Telerik.Web.UI.DockCommand.initializeBase(this,[_c2]);
this._clientTypeName=null;
this._cssClass="rdCustom";
this._radDock=null;
this._name="Custom";
this._text="Custom";
this._autoPostBack=false;
};
Telerik.Web.UI.DockCommand.prototype={add_command:function(_c3){
this.get_events().addHandler("command",_c3);
},remove_command:function(_c4){
this.get_events().removeHandler("command",_c4);
},raise_command:function(_c5){
var _c6=this.get_events().getHandler("command");
if(_c6){
_c6(this.get_radDock(),_c5);
}
},get_clientTypeName:function(){
return this._clientTypeName;
},set_clientTypeName:function(_c7){
this._clientTypeName=_c7;
},get_cssClass:function(){
return this._cssClass;
},set_cssClass:function(_c8){
this._cssClass=_c8;
},get_name:function(){
return this._name;
},set_name:function(_c9){
this._name=_c9;
},get_text:function(){
return this._text;
},set_text:function(_ca){
this._text=_ca;
},get_autoPostBack:function(){
return this._autoPostBack;
},set_autoPostBack:function(_cb){
this._autoPostBack=_cb;
},get_radDock:function(){
return this._radDock;
},set_radDock:function(_cc){
this._radDock=_cc;
},onCommand:function(e){
var _ce=new Sys.CancelEventArgs();
_ce.command=this;
_ce.Command=this;
this.raise_command(_ce);
if(_ce.get_cancel()){
return;
}
this.get_radDock().raise_command(_ce);
if(_ce.get_cancel()){
return;
}
this.get_radDock().updateClientState();
this.conditionalPostback();
},conditionalPostback:function(){
if(this.get_autoPostBack()){
this.get_radDock().doPostBack(this.get_name());
}
},initialize:function(){
Telerik.Web.UI.DockCommand.callBaseMethod(this,"initialize");
$addHandlers(this.get_element(),{"click":this.onCommand},this);
},dispose:function(){
$clearHandlers(this.get_element());
Telerik.Web.UI.DockCommand.callBaseMethod(this,"dispose");
}};
Telerik.Web.UI.DockCommand.registerClass("Telerik.Web.UI.DockCommand",Sys.UI.Control);
Telerik.Web.UI.DockToggleCommand=function(_cf){
Telerik.Web.UI.DockToggleCommand.initializeBase(this,[_cf]);
this._state=1;
this._alternateCssClass="rdCustom";
this._alternateText="Custom";
this._initialSetState=false;
};
Telerik.Web.UI.DockToggleCommand.prototype={updateState:function(){
var _d0=this.get_element();
if(this.get_state()==1){
_d0.title=this.get_text();
Sys.UI.DomElement.addCssClass(_d0,this.get_cssClass());
Sys.UI.DomElement.removeCssClass(_d0,this.get_alternateCssClass());
}else{
_d0.title=this.get_alternateText();
Sys.UI.DomElement.addCssClass(_d0,this.get_alternateCssClass());
Sys.UI.DomElement.removeCssClass(_d0,this.get_cssClass());
}
},get_state:function(){
return this._state;
},set_state:function(_d1){
this._state=_d1;
if(this._initialSetState){
this.updateState();
}
},get_alternateCssClass:function(){
return this._alternateCssClass;
},set_alternateCssClass:function(_d2){
this._alternateCssClass=_d2;
},get_alternateText:function(){
return this._alternateText;
},set_alternateText:function(_d3){
this._alternateText=_d3;
},initialize:function(){
Telerik.Web.UI.DockToggleCommand.callBaseMethod(this,"initialize");
this._initialSetState=true;
this.updateState();
},dispose:function(){
Telerik.Web.UI.DockToggleCommand.callBaseMethod(this,"dispose");
}};
Telerik.Web.UI.DockToggleCommand.registerClass("Telerik.Web.UI.DockToggleCommand",Telerik.Web.UI.DockCommand);
Telerik.Web.UI.DockCloseCommand=function(_d4){
Telerik.Web.UI.DockCloseCommand.initializeBase(this,[_d4]);
this._cssClass="rdClose";
this._name="Close";
this._text="Close";
};
Telerik.Web.UI.DockCloseCommand.prototype={onCommand:function(e){
this.get_radDock().set_closed(true);
Telerik.Web.UI.DockCloseCommand.callBaseMethod(this,"onCommand");
}};
Telerik.Web.UI.DockCloseCommand.registerClass("Telerik.Web.UI.DockCloseCommand",Telerik.Web.UI.DockCommand);
Telerik.Web.UI.DockExpandCollapseCommand=function(_d6){
Telerik.Web.UI.DockExpandCollapseCommand.initializeBase(this,[_d6]);
this._cssClass="rdCollapse";
this._alternateCssClass="rdExpand";
this._name="ExpandCollapse";
this._text="Collapse";
this._alternateText="Expand";
};
Telerik.Web.UI.DockExpandCollapseCommand.prototype={onCommand:function(e){
this.get_radDock().set_collapsed(!this.get_radDock().get_collapsed());
Telerik.Web.UI.DockExpandCollapseCommand.callBaseMethod(this,"onCommand");
}};
Telerik.Web.UI.DockExpandCollapseCommand.registerClass("Telerik.Web.UI.DockExpandCollapseCommand",Telerik.Web.UI.DockToggleCommand);
Telerik.Web.UI.DockPinUnpinCommand=function(_d8){
Telerik.Web.UI.DockPinUnpinCommand.initializeBase(this,[_d8]);
this._cssClass="rdUnpin";
this._alternateCssClass="rdPin";
this._name="PinUnpin";
this._text="Pin";
this._alternateText="Unpin";
};
Telerik.Web.UI.DockPinUnpinCommand.prototype={onCommand:function(e){
this.get_radDock().set_pinned(!this.get_radDock().get_pinned());
Telerik.Web.UI.DockPinUnpinCommand.callBaseMethod(this,"onCommand");
}};
Telerik.Web.UI.DockPinUnpinCommand.registerClass("Telerik.Web.UI.DockPinUnpinCommand",Telerik.Web.UI.DockToggleCommand);
Telerik.Web.UI._documentDropZone=function(_da){
};
Telerik.Web.UI._documentDropZone.prototype={get_dropTargetElement:function(){
return ($telerik.standardsMode)?document.body:document.documentElement;
},canDrop:function(_db,_dc,_dd){
return (_dc===Telerik.Web.UI.RadDock.DragDataType&&(_dd.get_dockMode()&Telerik.Web.UI.DockMode.Floating)>0);
},drop:function(_de,_df,_e0){
var _e1=new Sys.CancelEventArgs();
_e0.raise_dockPositionChanging(_e1);
_e0.get_element().style.zIndex=_e0.originalZIndex;
if(_e1.get_cancel()){
_e0._restorePosition();
}else{
_e0.undock();
_e0.raise_dockPositionChanged(new Sys.EventArgs());
}
},onDragEnterTarget:function(_e2,_e3,_e4){
},onDragLeaveTarget:function(_e5,_e6,_e7){
},onDragInTarget:function(_e8,_e9,_ea){
}};
Telerik.Web.UI._documentDropZone.registerClass("Telerik.Web.UI._documentDropZone",null,Telerik.Web.IDropTarget);
Telerik.Web.UI.DocumentDropZone=new Telerik.Web.UI._documentDropZone();
Telerik.Web.DragDropManager.registerDropTarget(Telerik.Web.UI.DocumentDropZone,true);

